Bug 2006962 - [4.9] OS boot failure "x64 Exception Type 06 - Invalid Opcode Exception"
Summary: [4.9] OS boot failure "x64 Exception Type 06 - Invalid Opcode Exception"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.z
Assignee: Benjamin Gilbert
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1981999 2006690
Blocks: 2006963
TreeView+ depends on / blocked
 
Reported: 2021-09-22 18:03 UTC by RHCOS Bug Bot
Modified: 2021-10-18 17:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2006690
: 2006963 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:51:56 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github coreos coreos-assembler pull 2436 0 None Merged [rhcos-4.9] buildextend-live: drop shim fallback.efi from ISO 2021-09-22 18:05:40 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:20 UTC

Description RHCOS Bug Bot 2021-09-22 18:03:32 UTC
Backport the fix for bug 2006690 to 4.9.

Comment 1 RHCOS Bug Bot 2021-09-22 18:15:28 UTC
This bug has been reported fixed in a new RHCOS build.  Do not move this bug to MODIFIED until the fix has landed in a new bootimage.

Comment 2 RHCOS Bug Bot 2021-09-22 18:37:26 UTC
The fix for this bug has landed in a bootimage bump, as tracked in bug 1981999 (now in status MODIFIED).  Moving this bug to MODIFIED.

Comment 4 Michael Nguyen 2021-09-24 21:23:00 UTC
Verified on RHCOS 49.84.202109172039-0 live installer

$ sudo mount -o loop rhcos-49.84.202109172039-0-live.x86_64.iso /mnt/iso
mount: /var/mnt/iso: WARNING: source write-protected, mounted read-only.
[mnguyen@boosted Downloads]$ sudo mount -o loop,ro /mnt/iso/images/efiboot.img /mnt/efi
[mnguyen@boosted Downloads]$ tree /mnt/efi
/mnt/efi
└── EFI
    ├── BOOT
    │   ├── BOOTX64.EFI
    │   └── grubx64.efi
    └── redhat
        ├── fonts
        ├── grub.cfg
        ├── grubx64.efi
        ├── mmx64.efi
        ├── shimx64.efi
        └── shimx64-redhat.efi

Comment 5 Michael Nguyen 2021-09-24 21:23:37 UTC
The above is the RHCOS boot image for registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-09-23-142241

Comment 8 errata-xmlrpc 2021-10-18 17:51:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.